# Accessibility ♿️

Traditionally drag and drop interactions have been exclusively a mouse or touch interaction. This library has invested a huge amount of effort to ensure that everybody has access to drag and drop interactions

## What we do to include everyone

- [Full keyboard support](/docs/sensors/keyboard.md) (reordering, combining, moving between lists)
- [Keyboard multi drag support](/docs/patterns/multi-drag.md)
- Keyboard [auto scrolling](/docs/guides/auto-scrolling.md)
- Fantastic [screen reader support](/docs/guides/screen-reader.md) - _We ship with english messaging out of the box 📦_
- Smart management of [browser focus](/docs/guides/browser-focus.md)
- A [Google lighthouse](https://developers.google.com/web/tools/lighthouse) automated build to ensure perfect accessibility scores (at least according to [Google](https://developers.google.com/web/tools/lighthouse/v3/scoring#a11y))

![screen-reader-text](https://user-images.githubusercontent.com/2182637/36571009-d326d82a-1888-11e8-9a1d-e44f8b969c2f.gif)

> Example screen reader announcement

[← Back to documentation](/README.md#documentation-)
